# $Revision: 1.63 $, $Date: 2006/12/01 13:37:13 $
# TODO
# - separate internal files (classes, libraries) and public files (.js, .css,
#   index.php) to htdocs and above and point docroot to htdocs dir
Summary:	phpPgAdmin - web-based PostgreSQL administration
Summary(pl):	phpPgAdmin - administracja bazami PostgreSQL przez WWW
Name:		phpPgAdmin
Version:	4.0.1
Release:	6
License:	GPL v2+
Group:		Applications/Databases/Interfaces
Source0:	http://dl.sourceforge.net/phppgadmin/%{name}-%{version}.tar.bz2
# Source0-md5:	7e0c18a01538572d3c2b435725e68fe2
Source1:	%{name}-apache.conf
Patch0:		%{name}-config.patch
#Patch1:	%{name}-adodb.patch
URL:		http://phppgadmin.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	sed >= 4.0
#Requires:	adodb >= 4.67-1.17
Requires:	php(pcre)
Requires:	php(pgsql)
Requires:	webapps
Requires:	webserver(php) >= 4.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
phpPgAdmin is a fully functional web-based administration utility for
a PostgreSQL database server. It handles all the basic functionality
as well as some advanced features such as triggers, views and
functions (stored procs).

%description -l pl
phpPgAdmin jest w peni funkcjonalnym, bazowanym na WWW, narzdziem
administracyjnym dla serwera baz danych PostgreSQL. Posiada wszystkie
podstawowe moliwoci, jak i cz bardziej zaawansowanych jak
przeczniki, widoki i funkcje (procedury skadowane).

%prep
%setup -q
%patch0 -p1
#%patch1 -p1
rm -f conf/config.inc.php-dist

# remove language source files (or one wants to make -devel subpackage?)
mv -f lang/translations.php .
rm -f lang/*.php
rm -f lang/{Makefile,synch,php2po,po2php,langcheck,convert.awk}
mv -f translations.php lang/translations.php
rm -f lang/recoded/README

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir},%{_sysconfdir}}

cp -a *.php *.txt *.js $RPM_BUILD_ROOT%{_appdir}
cp -a classes help images lang libraries themes xloadtree $RPM_BUILD_ROOT%{_appdir}
cp -a conf/*.php $RPM_BUILD_ROOT%{_sysconfdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
#install lighttpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

#%%triggerin -- lighttpd
#%%webapp_register lighttpd %{_webapp}
#
#%%triggerun -- lighttpd
#%%webapp_unregister lighttpd %{_webapp}

%triggerpostun -- %{name} < 4.0.1-1.2
# rescue app config
if [ -f /etc/phpPgAdmin/config.inc.php.rpmsave ]; then
	mv -f %{_sysconfdir}/config.inc.php{,.rpmnew}
	mv -f /etc/phpPgAdmin/config.inc.php.rpmsave %{_sysconfdir}/config.inc.php
fi

# nuke very-old config location (this mostly for Ra)
if [ -f /etc/httpd/httpd.conf ]; then
	sed -i -e "/^Include.*phpPgAdmin.conf/d" /etc/httpd/httpd.conf
	httpd_reload=1
fi

# migrate from httpd (apache2) config dir
if [ -f /etc/httpd/phpPgAdmin.conf.rpmsave ]; then
	cp -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	mv -f /etc/httpd/phpPgAdmin.conf.rpmsave %{_sysconfdir}/httpd.conf
	httpd_reload=1
fi

# migrate from apache-config macros
if [ -f /etc/phpPgAdmin/apache-phpPgAdmin.conf.rpmsave ]; then
	if [ -d /etc/apache/webapps.d ]; then
		cp -f %{_sysconfdir}/apache.conf{,.rpmnew}
		cp -f /etc/phpPgAdmin/apache-phpPgAdmin.conf.rpmsave %{_sysconfdir}/apache.conf
	fi

	if [ -d /etc/httpd/webapps.d ]; then
		cp -f %{_sysconfdir}/httpd.conf{,.rpmnew}
		cp -f /etc/phpPgAdmin/apache-phpPgAdmin.conf.rpmsave %{_sysconfdir}/httpd.conf
	fi
	rm -f /etc/phpPgAdmin/apache-phpPgAdmin.conf.rpmsave
fi

# place new config location, as trigger puts config only on first install, do it here.
# apache1
if [ -L /etc/apache/conf.d/99_phpPgAdmin.conf ]; then
	rm -f /etc/apache/conf.d/99_phpPgAdmin.conf
	/usr/sbin/webapp register apache %{_webapp}
	apache_reload=1
fi
# apache2
if [ -L /etc/httpd/httpd.conf/99_phpPgAdmin.conf ]; then
	rm -f /etc/httpd/httpd.conf/99_phpPgAdmin.conf
	/usr/sbin/webapp register httpd %{_webapp}
	httpd_reload=1
fi

if [ "$httpd_reload" ]; then
	%service httpd reload
fi
if [ "$apache_reload" ]; then
	%service apache reload
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS DEVELOPERS FAQ HISTORY INSTALL TODO TRANSLATORS
%doc sql
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
#%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php

%{_appdir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: phpPgAdmin.spec,v $
Revision 1.63  2006/12/01 13:37:13  glen
- rel 6

Revision 1.62  2006/11/21 19:57:08  glen
- rel 5: use php(extension) virtuals

Revision 1.61  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.60  2006/05/16 21:10:08  prism
- seems not to work with system adodb = 4.80

Revision 1.59  2006/03/12 17:43:49  glen
- use system adodb, please test

Revision 1.58  2006/02/03 16:49:36  baggins
- release 4

Revision 1.57  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.56  2006/01/04 14:02:40  glen
- use %service in trigger to respect skip auto restarts of services; rel 3

Revision 1.55  2006/01/03 10:08:19  glen
- updated apache config to allow from all; rel 2

Revision 1.54  2005/12/11 16:49:03  glen
- prevent accidental macro expansion

Revision 1.53  2005/12/02 15:43:51  glen
- config.patch
- proper build macros

Revision 1.52  2005/12/02 15:38:53  glen
- use webapps framework
- cleanups and make things better

Revision 1.51  2005/11/28 18:53:26  twittner
- up to 4.0.1 (bugfix release)

Revision 1.50  2005/11/17 22:41:02  twittner
- better URL

Revision 1.49  2005/11/16 19:39:21  twittner
- up to 4.0
- simplified %install
- C&P triggers' scripts from template-apache.spec

Revision 1.48  2005/10/18 15:49:37  qboosh
- updated md5

Revision 1.47  2005/10/18 11:06:58  speedo
- updated to 3.5.6

Revision 1.46  2005/08/24 18:17:13  adamg
- updated to 3.5.5

Revision 1.45  2005/04/16 13:36:29  charles
- updated to 3.5.3

Revision 1.44  2005/03/13 15:07:33  kosmo
- updated to 3.5.2. WorksForMe(tm), STBR ?

Revision 1.43  2005/03/13 10:58:33  paszczus
- reverted

Revision 1.41  2005/02/19 21:49:35  prism
- lowered error reporting level to eliminate notices from exported SQL files
- rel++, STBR please.

Revision 1.40  2004/12/26 18:33:31  qboosh
- pl fix

Revision 1.39  2004/12/13 21:20:19  paszczus
- updated to 3.5.1, STBR

Revision 1.38  2004/11/15 22:34:49  djurban
- updating to 3.5, im still away, i jsut need it for a side project

Revision 1.37  2004/10/31 21:53:11  paladine
- spaces->tabs
- formatting

Revision 1.36  2004/10/24 20:16:09  paladine
- spelling fixes, uppercases, etc.

Revision 1.35  2004/07/21 14:03:31  twittner
- fix %post - make symlinks rather than move files
  already matched by %files (noticed by qboosh).
- rel. 2

Revision 1.34  2004/07/09 20:51:32  adamg
- updated to 3.4.1

Revision 1.33  2004/06/06 11:20:16  adamg
- updated to 3.4

Revision 1.32  2004/05/13 17:56:40  ankry
- %SOURCE# fixes

Revision 1.31  2004/03/14 11:57:52  ciesiel
- upgraded to version 3.3.1

Revision 1.30  2004/03/03 05:57:54  twittner
- fixed polish translation

Revision 1.29  2004/03/01 22:52:42  orzech
- up to 3.3

Revision 1.28  2004/02/17 15:02:59  mwinkler
- fixes for apache1

Revision 1.27  2003/12/06 12:02:41  ciesiel
- upgraded to version 3.2.1

Revision 1.26  2003/11/28 11:55:27  orzech
- bumped rel for Ac

Revision 1.25  2003/11/28 11:35:54  orzech
- up to 3.2

Revision 1.24  2003/11/23 18:32:29  ciesiel
- adapted to new configuration file Apache

Revision 1.23  2003/11/11 01:42:28  ankry
- caps unification, other cosmetics

Revision 1.22  2003/09/29 09:46:37  adamg
- updated to 3.1

Revision 1.21  2003/09/22 10:34:25  adamg
- updated to 3.1-rc-1

Revision 1.20  2003/08/18 08:23:48  orzech
- release 1: now works fine for me

Revision 1.19  2003/08/18 07:57:49  orzech
- up to 3.0.1
- main part moved to /usr/share, config to /etc

Revision 1.18  2003/07/16 09:38:45  adamg
- updated to 3.0; builds, but needs some testing (I can do that)

Revision 1.17  2003/05/28 14:22:09  malekith
- use tr not sed for computing version (simpler and catched by distfiles)

Revision 1.16  2003/05/28 08:30:51  adamg
- added Source0-md5

Revision 1.15  2003/05/25 06:25:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.13  2002/12/06 21:41:39  orzech
- /home/httpd -> /home/services/httpd

Revision 1.12  2002/10/04 10:36:41  orzech
- update to 2.4.2 (register_globals=Off ready)
- cosmetics
- STBR

Revision 1.11  2002/06/20 14:39:19  ankry
- really 2.4.1 version now (tar name)
- switched to ftp: source URL

Revision 1.10  2002/06/20 14:08:27  lukasz
- up to 2.4.1 (stable version)

Revision 1.9  2002/02/22 23:29:35  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/18 19:09:57  filon
- updated to bugfix-only release 2.4a

Revision 1.7  2002/01/22 20:19:39  misiek
- removed wrong require

Revision 1.6  2002/01/22 20:14:42  misiek
- update to 2.4 (SECURITY fixes)

Revision 1.5  2002/01/18 02:14:36  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/07 09:08:19  kloczek
- release 2.

Revision 1.3  2001/12/07 07:19:58  adasi
- Updated descriptions in specfile

Revision 1.2  2001/11/24 11:13:38  adasi
- small fixes

Revision 1.1  2001/11/15 11:09:04  adasi
- Initial revision. spec file adapted from phpMyAdmin, need to be updated soon
